From e62feea31fd5175bea2d355d00189a56cdf67c15 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 11 Aug 2026 07:18:10 +0000
Subject: [PATCH] powertop: upgrade 2.15 -> 2.16

6147262 release: v2.16
b44c8f2 calibrate: replace xset DPMS with sysfs-first display power control
b9ee1c1 extech: annotate samples_mutex with locking comment
a6b38d5 one more code annotation comment
eb7b708 src: add subclass navigation tables to all parent class headers
6aa7c4b tunable: Use default member initializers for all class fields
b122429 wakeup: Use default member initializers for all class fields
694c315 refactor: Convert RAPL device classes to RAII with std::unique_ptr
30e3757 refactor: Convert device_consumer to RAII with std::unique_ptr
6d56a12 cpu, display: add subclass tables to parent class headers
be46737 code guidelines update
04d97b7 cpu: skip empty cores in Frequency Stats display
af6bf3e cpu: fix Frequency Stats bar width and intra-core spacing
c2096d5 cpu: redesign Frequency Stats TUI with progress bars
af474ad cpu_linux: fix C0 active column misalignment in Idle stats TUI
0a183da gitignore: ignore clang-native.ini
ce1307c src: replace C headers with C++ equivalents throughout
ff73795 lib.cpp: clean up and deduplicate include directives
7694edd doc: replace dead 01.org links in man page
2c1e4e7 cpu.cpp: add null check before accessing system_level.children[0]
c9c2083 cpu.cpp: fix potential memory leak in GPU handlers
81b7335 thread safety: use atomic and once_flag for _max_cpu and pretty_prints
4f8f6d1 refactor(lib.cpp): reorganize and deduplicate include headers
ee82998 Merge pull request #209 from fenrus75/fix-test
45431d5 src: add missing <unistd.h> in lib.h and test_framework
c79c847 xe_gpu: add missing <unistd.h> include for R_OK
aab7b38 doc: bring powertop.8 manpage up to date for v2.16
ad2e51c doc: add --auto-tune-dump to manpage
5fb15ba persistent: fix noisy startup messages and restore bundle_saved flag
d06b421 tuning: add AMD GPU panel power savings tunable
45a1046 gpu-tab: require xe hwmon to be present before showing the tab
3133114 gpu-tab: only show GPU tab for Xe GPUs
f9e2bb4 update notes
f0820e6 report-formatter-csv: remove unused csv_need_quotes field
ea19e8e review: fix style violations in changes since v2.16-rc2
0608205 update release checklist
b3a2725 release-checklist: remove ninja | grep anti-pattern
2889994 release: v2.16-rc3 preparation
6eb3097 gpu-tab: use bold attribute for idle/C6 bar green segment
013f43f gpu-tab: combine C0/C6 idle bars into one two-colour bar
c35efcb gpu-tab: show xe power profile on Power Overview section
91c50fc meson: replace deprecated meson.source_root/build_root calls
17acebf gpu-tab: replace policy markers with four-segment colour bar
f072c54 gpu-tab: start frequency bars at 0 instead of hw_min
5ee54da gpu-tab: always show scale_max right-aligned on progress bar
cdac168 missing file
86e880a trim local.md back
245877f local.md: record Xe GPU coverage results and linker gotchas
9873257 tests/devices: add Xe GPU test coverage
a56de81 src/lib.h: document trace_tool.py spoof command for each interceptable function
7a7f1d9 scripts/test_tools/trace_tool.py: improve add command

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../0001-wakeup_xxx.h-include-limits.h.patch  | 21 ++++++++-----------
 .../{powertop_2.15.bb => powertop_2.16.bb}    |  2 +-
 2 files changed, 10 insertions(+), 13 deletions(-)
 rename meta/recipes-kernel/powertop/{powertop_2.15.bb => powertop_2.16.bb} (93%)

diff --git a/meta/recipes-kernel/powertop/powertop/0001-wakeup_xxx.h-include-limits.h.patch b/meta/recipes-kernel/powertop/powertop/0001-wakeup_xxx.h-include-limits.h.patch
index 7bfca8abfd..33ae8ac7e1 100644
--- a/meta/recipes-kernel/powertop/powertop/0001-wakeup_xxx.h-include-limits.h.patch
+++ b/meta/recipes-kernel/powertop/powertop/0001-wakeup_xxx.h-include-limits.h.patch
@@ -1,4 +1,4 @@
-From 4c24fdd8e0a42359df7308155b2d43c28a5e02fd Mon Sep 17 00:00:00 2001
+From e5c2e4cb8372d4aa4891f6980a0f1cae072f2082 Mon Sep 17 00:00:00 2001
 From: Fabrice Fontaine <fontaine.fabrice@gmail.com>
 Date: Mon, 20 May 2019 20:25:00 +0200
 Subject: [PATCH] wakeup_xxx.h: include limits.h
@@ -27,29 +27,26 @@ Upstream-Status: Submitted [https://lists.01.org/pipermail/powertop/2019-May/002
  2 files changed, 2 insertions(+)
 
 diff --git a/src/wakeup/wakeup_ethernet.h b/src/wakeup/wakeup_ethernet.h
-index 682bf95..e0fa628 100644
+index 8175f4e..73296c8 100644
 --- a/src/wakeup/wakeup_ethernet.h
 +++ b/src/wakeup/wakeup_ethernet.h
-@@ -25,6 +25,7 @@
- #ifndef _INCLUDE_GUARD_ETHERNET_WAKEUP_H
- #define _INCLUDE_GUARD_ETHERNET_WAKEUP_H
+@@ -24,6 +24,7 @@
+  */
+ #pragma once
  
 +#include <limits.h>
  #include <vector>
  
  #include "wakeup.h"
 diff --git a/src/wakeup/wakeup_usb.h b/src/wakeup/wakeup_usb.h
-index f7a1f7e..15898e3 100644
+index 239ea75..3c1f402 100644
 --- a/src/wakeup/wakeup_usb.h
 +++ b/src/wakeup/wakeup_usb.h
-@@ -25,6 +25,7 @@
- #ifndef _INCLUDE_GUARD_USB_WAKEUP_H
- #define _INCLUDE_GUARD_USB_WAKEUP_H
+@@ -24,6 +24,7 @@
+  */
+ #pragma once
  
 +#include <limits.h>
  #include <vector>
  
  #include "wakeup.h"
--- 
-2.20.1
-
diff --git a/meta/recipes-kernel/powertop/powertop_2.15.bb b/meta/recipes-kernel/powertop/powertop_2.16.bb
similarity index 93%
rename from meta/recipes-kernel/powertop/powertop_2.15.bb
rename to meta/recipes-kernel/powertop/powertop_2.16.bb
index 5dceac17d3..7b25b2b7b8 100644
--- a/meta/recipes-kernel/powertop/powertop_2.15.bb
+++ b/meta/recipes-kernel/powertop/powertop_2.16.bb
@@ -9,7 +9,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=12f884d2ae1ff87c09e5b7ccc2c4ca7e"
 SRC_URI = "git://github.com/fenrus75/powertop;protocol=https;branch=master;tag=v${PV} \
            file://0001-wakeup_xxx.h-include-limits.h.patch \
            "
-SRCREV = "d51ad395436d4d1dcc3ca46e1519ffeb475bf651"
+SRCREV = "6147262e506c607036eaca4182ee491b61d06aa3"
 
 LDFLAGS += "-pthread"
 
-- 
2.47.1

